B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=12.8
@EndOfDesignText@
Sub Class_Globals
	Private Root As B4XView 'ignore
	Private xui As XUI 'ignore
	
	Private la_cuenta As Label
	Private La_nombre As Label
	Private la_Calle As Label
	Private la_col As Label
	Private l_entre1 As Label
	Private l_entre2 As Label
	Private l_atiende As Label
	Private Label19 As Label
End Sub

'You can add more parameters here.
Public Sub Initialize As Object
	Return Me
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	'load the layout to Root
	Root.LoadLayout("Vista_todoslosclientes")
End Sub

Sub B4XPage_Appear
	Log("Entramos")
	Dim c As Cursor = Starter.skmt.ExecQuery ($"select * from CAT_CATCLIENTESTODOS where CAT_CL_CODIGO in (Select CUENTA from cuentaa)"$)
	If c.RowCount > 0 Then
		c.Position=0
		Log(c.GetString("CAT_CL_NOMBRE"))
		la_cuenta.Text=c.GetString("CAT_CL_CODIGO")
		La_nombre.Text=c.GetString("CAT_CL_NOMBRE")
		la_Calle.Text=c.GetString("CAT_CL_CALLE")
		la_col.Text=c.GetString("CAT_CL_COLONIA")
		l_entre1.Text=c.GetString("CAT_CL_CALLE1")
		l_entre2.Text=c.GetString("CAT_CL_CALLE2")
		l_atiende.Text=c.GetString("CAT_CL_ATIENDE1")
		Label19.Text = c.GetString("CAT_CL_TELEFONO")
	End If
End Sub


'You can see the list of page related events in the B4XPagesManager object. The event name is B4XPage.